---
updatedAt: 2025-09-15T07:18:23.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Refreshes the inventory and status of uploads in Jamf Pro. This will update the 
status of uploads in the Jamf Pro database and allow the uploads to be deployed.

Refreshes the inventory and status of uploads in Jamf Pro. This will update the 
status of uploads in the Jamf Pro database and allow the uploads to be deployed.
Using the filename as a query parameter will query JCDS for the availability of
the file using an exponential back-off during the allocated time period. If the
filename is not supplied, all inventory will be refreshed, and this action is
limited to once every 15 seconds.

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.14.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/jcds/refresh-inventory": {
      "post": {
        "tags": [
          "jamf-cloud-distribution-service"
        ],
        "summary": "Refreshes the inventory and status of uploads in Jamf Pro. This will update the \nstatus of uploads in the Jamf Pro database and allow the uploads to be deployed.\n",
        "description": "Refreshes the inventory and status of uploads in Jamf Pro. This will update the \nstatus of uploads in the Jamf Pro database and allow the uploads to be deployed.\nUsing the filename as a query parameter will query JCDS for the availability of\nthe file using an exponential back-off during the allocated time period. If the\nfilename is not supplied, all inventory will be refreshed, and this action is\nlimited to once every 15 seconds.\n",
        "parameters": [
          {
            "name": "file-name",
            "in": "query",
            "description": "Name of the file to check the availability of in JCDS. If available, the inventory and status will be updated in Jamf Pro. If no file is specified, it will force an immediate inventory refresh at a rate-limit of once every 15 seconds.",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "maxLength": 255,
              "type": "string",
              "example": "filename.pkg",
              "default": ""
            }
          }
        ],
        "responses": {
          "204": {
            "description": "Inventory refresh completed."
          },
          "500": {
            "description": "Failure, unable to complete inventory refresh.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ApiError"
                }
              }
            }
          }
        },
        "x-authentication-required": true,
        "x-action": true,
        "x-required-privileges": [
          "Read Jamf Cloud Distribution Service Files"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "ApiError": {
        "type": "object",
        "properties": {
          "httpStatus": {
            "type": "integer",
            "description": "HTTP status of the response",
            "example": 400
          },
          "errors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ApiErrorCause"
            }
          }
        }
      },
      "ApiErrorCause": {
        "required": [
          "field"
        ],
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error-specific code that can be used to identify localization string, etc.",
            "example": "8675309"
          },
          "field": {
            "type": "string",
            "description": "Name of the field that caused the error.",
            "example": "Name"
          },
          "description": {
            "type": "string",
            "description": "A general description of error for troubleshooting/debugging. Generally this text should not be displayed to a user; instead refer to errorCode and it's localized text",
            "example": "I've just picked up a fault in the AE35 unit. It's going to go 100% failure in 72 hours"
          },
          "id": {
            "type": "string",
            "description": "id of object with error. Optional.",
            "nullable": true,
            "example": "3"
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-si-base": "swagger.json",
  "x-github-repo": "jamf/Jamf-Pro-API-Schema",
  "x-github-sha": "5f8b85a61ce288205f7b44d478a117fb1acea0c6"
}
```